---
- name: Install subscription-manager
  ansible.builtin.yum:
    name: subscription-manager
    state: present

- name: Register on RHN
  community.general.redhat_subscription:
    username: "{{ rhsm_username }}"
    password: "{{ rhsm_password }}"
    pool_ids:
      - "{{ rhsm_poolid | default(omit) }}"
    consumer_name: "{{ controller_instance_name }}"

- name: Make sure RHSM repo management is enabled
  ansible.builtin.lineinfile:
    path: /etc/rhsm/rhsm.conf
    regexp: '^manage_repos'
    line: manage_repos = 1

- name: Enable the AAP repositories
  community.general.rhsm_repository:
    name:
      - ansible-automation-platform-2.4-for-rhel-9-x86_64-rpms
    state: enabled

- name: Install AAP RPM based installer package, Policy Core Utils and tmux
  ansible.builtin.yum:
    name:
      - ansible-automation-platform-installer
      - policycoreutils-python-utils
      - tmux
    state: present
